<?php

namespace CmBundle\Entity;

use Doctrine\ORM\Mapping as ORM;

/**
 * Pagos
 *
 * @ORM\Table(name="pagos", indexes={@ORM\Index(name="cve_alu", columns={"cve_alu"})})
 * @ORM\Entity
 */
class Pagos
{
    /**
     * @var integer
     *
     * @ORM\Column(name="ide_pag", type="integer", nullable=false)
     * @ORM\Id
     * @ORM\GeneratedValue(strategy="IDENTITY")
     */
    private $idePag;

    /**
     * @var integer
     *
     * @ORM\Column(name="semestre", type="integer", nullable=false)
     */
    private $semestre;

    /**
     * @var integer
     *
     * @ORM\Column(name="numero", type="integer", nullable=true)
     */
    private $numero = 'NULL';

    /**
     * @var string
     *
     * @ORM\Column(name="referencia", type="string", length=100, nullable=false)
     */
    private $referencia;

    /**
     * @var \DateTime
     *
     * @ORM\Column(name="fec_ini", type="date", nullable=false)
     */
    private $fecIni;

    /**
     * @var \DateTime
     *
     * @ORM\Column(name="fec_ter", type="date", nullable=false)
     */
    private $fecTer;

    /**
     * @var string
     *
     * @ORM\Column(name="nom_mes", type="string", length=200, nullable=true)
     */
    private $nomMes = 'NULL';

    /**
     * @var string
     *
     * @ORM\Column(name="monto", type="decimal", precision=10, scale=2, nullable=true)
     */
    private $monto = 'NULL';

    /**
     * @var string
     *
     * @ORM\Column(name="recargos", type="decimal", precision=10, scale=2, nullable=false)
     */
    private $recargos = '0.00';

    /**
     * @var string
     *
     * @ORM\Column(name="tip_pag", type="string", length=30, nullable=false)
     */
    private $tipPag;

    /**
     * @var integer
     *
     * @ORM\Column(name="sta_pag", type="integer", nullable=false)
     */
    private $staPag;

    /**
     * @var string
     *
     * @ORM\Column(name="descripcion", type="string", length=255, nullable=true)
     */
    private $descripcion = 'NULL';

    /**
     * @var integer
     *
     * @ORM\Column(name="cve_ing", type="integer", nullable=true)
     */
    private $cveIng = 'NULL';

    /**
     * @var string
     *
     * @ORM\Column(name="num_recibo", type="string", length=50, nullable=true)
     */
    private $numRecibo = 'NULL';

    /**
     * @var \DateTime
     *
     * @ORM\Column(name="fec_mov", type="date", nullable=false)
     */
    private $fecMov;

    /**
     * @var string
     *
     * @ORM\Column(name="cve_usu", type="string", length=50, nullable=false)
     */
    private $cveUsu;

    /**
     * @var \Alumnos
     *
     * @ORM\ManyToOne(targetEntity="Alumnos")
     * @ORM\JoinColumns({
     *   @ORM\JoinColumn(name="cve_alu", referencedColumnName="ide_alu")
     * })
     */
    private $cveAlu;



    /**
     * Get idePag
     *
     * @return integer
     */
    public function getIdePag()
    {
        return $this->idePag;
    }

    /**
     * Set semestre
     *
     * @param integer $semestre
     *
     * @return Pagos
     */
    public function setSemestre($semestre)
    {
        $this->semestre = $semestre;
    
        return $this;
    }

    /**
     * Get semestre
     *
     * @return integer
     */
    public function getSemestre()
    {
        return $this->semestre;
    }

    /**
     * Set numero
     *
     * @param integer $numero
     *
     * @return Pagos
     */
    public function setNumero($numero)
    {
        $this->numero = $numero;
    
        return $this;
    }

    /**
     * Get numero
     *
     * @return integer
     */
    public function getNumero()
    {
        return $this->numero;
    }

    /**
     * Set referencia
     *
     * @param string $referencia
     *
     * @return Pagos
     */
    public function setReferencia($referencia)
    {
        $this->referencia = $referencia;
    
        return $this;
    }

    /**
     * Get referencia
     *
     * @return string
     */
    public function getReferencia()
    {
        return $this->referencia;
    }

    /**
     * Set fecIni
     *
     * @param \DateTime $fecIni
     *
     * @return Pagos
     */
    public function setFecIni($fecIni)
    {
        $this->fecIni = $fecIni;
    
        return $this;
    }

    /**
     * Get fecIni
     *
     * @return \DateTime
     */
    public function getFecIni()
    {
        return $this->fecIni;
    }

    /**
     * Set fecTer
     *
     * @param \DateTime $fecTer
     *
     * @return Pagos
     */
    public function setFecTer($fecTer)
    {
        $this->fecTer = $fecTer;
    
        return $this;
    }

    /**
     * Get fecTer
     *
     * @return \DateTime
     */
    public function getFecTer()
    {
        return $this->fecTer;
    }

    /**
     * Set nomMes
     *
     * @param string $nomMes
     *
     * @return Pagos
     */
    public function setNomMes($nomMes)
    {
        $this->nomMes = $nomMes;
    
        return $this;
    }

    /**
     * Get nomMes
     *
     * @return string
     */
    public function getNomMes()
    {
        return $this->nomMes;
    }

    /**
     * Set monto
     *
     * @param string $monto
     *
     * @return Pagos
     */
    public function setMonto($monto)
    {
        $this->monto = $monto;
    
        return $this;
    }

    /**
     * Get monto
     *
     * @return string
     */
    public function getMonto()
    {
        return $this->monto;
    }

    /**
     * Set recargos
     *
     * @param string $recargos
     *
     * @return Pagos
     */
    public function setRecargos($recargos)
    {
        $this->recargos = $recargos;
    
        return $this;
    }

    /**
     * Get recargos
     *
     * @return string
     */
    public function getRecargos()
    {
        return $this->recargos;
    }

    /**
     * Set tipPag
     *
     * @param string $tipPag
     *
     * @return Pagos
     */
    public function setTipPag($tipPag)
    {
        $this->tipPag = $tipPag;
    
        return $this;
    }

    /**
     * Get tipPag
     *
     * @return string
     */
    public function getTipPag()
    {
        return $this->tipPag;
    }

    /**
     * Set staPag
     *
     * @param integer $staPag
     *
     * @return Pagos
     */
    public function setStaPag($staPag)
    {
        $this->staPag = $staPag;
    
        return $this;
    }

    /**
     * Get staPag
     *
     * @return integer
     */
    public function getStaPag()
    {
        return $this->staPag;
    }

    /**
     * Set descripcion
     *
     * @param string $descripcion
     *
     * @return Pagos
     */
    public function setDescripcion($descripcion)
    {
        $this->descripcion = $descripcion;
    
        return $this;
    }

    /**
     * Get descripcion
     *
     * @return string
     */
    public function getDescripcion()
    {
        return $this->descripcion;
    }

    /**
     * Set cveIng
     *
     * @param integer $cveIng
     *
     * @return Pagos
     */
    public function setCveIng($cveIng)
    {
        $this->cveIng = $cveIng;
    
        return $this;
    }

    /**
     * Get cveIng
     *
     * @return integer
     */
    public function getCveIng()
    {
        return $this->cveIng;
    }

    /**
     * Set numRecibo
     *
     * @param string $numRecibo
     *
     * @return Pagos
     */
    public function setNumRecibo($numRecibo)
    {
        $this->numRecibo = $numRecibo;
    
        return $this;
    }

    /**
     * Get numRecibo
     *
     * @return string
     */
    public function getNumRecibo()
    {
        return $this->numRecibo;
    }

    /**
     * Set fecMov
     *
     * @param \DateTime $fecMov
     *
     * @return Pagos
     */
    public function setFecMov($fecMov)
    {
        $this->fecMov = $fecMov;
    
        return $this;
    }

    /**
     * Get fecMov
     *
     * @return \DateTime
     */
    public function getFecMov()
    {
        return $this->fecMov;
    }

    /**
     * Set cveUsu
     *
     * @param string $cveUsu
     *
     * @return Pagos
     */
    public function setCveUsu($cveUsu)
    {
        $this->cveUsu = $cveUsu;
    
        return $this;
    }

    /**
     * Get cveUsu
     *
     * @return string
     */
    public function getCveUsu()
    {
        return $this->cveUsu;
    }

    /**
     * Set cveAlu
     *
     * @param \CmBundle\Entity\Alumnos $cveAlu
     *
     * @return Pagos
     */
    public function setCveAlu(\CmBundle\Entity\Alumnos $cveAlu = null)
    {
        $this->cveAlu = $cveAlu;
    
        return $this;
    }

    /**
     * Get cveAlu
     *
     * @return \CmBundle\Entity\Alumnos
     */
    public function getCveAlu()
    {
        return $this->cveAlu;
    }
}
